Zaptel dependancy although installed

Hi, I have an asterisk install which is working fine. however, every few weeks or so I conduct a yum update. this time there are a few to do however, the whole update/install fails on a zaptel dependancy, However, zaptel is installed!

Any ideas why this would happen? The installation is a trixbox install on CentOS 4.3

–> Processing Dependency: zaptel = 1.2.6 for package: zaptel-modules-2.6.9-34.0.2.EL
–> Processing Dependency: zaptel = 1.2.6 for package: zaptel-modules-2.6.9-34.0.2.EL
–> Finished Dependency Resolution
Error: Missing Dependency: zaptel = 1.2.6 is needed by package zaptel-modules-2.6.9-34.0.2.EL

Thanks in advance,

Justin

which zaptel is installed? what do you get from:

rpm -qav | grep zaptel

Hi, I too get the same error!

--> Running transaction check --> Processing Dependency: zaptel = 1.2.6 for package: zaptel-modules-2.6.9-34.0.2.EL --> Processing Dependency: zaptel = 1.2.6 for package: zaptel-modules-2.6.9-34.0.1.EL --> Finished Dependency Resolution Error: Missing Dependency: zaptel = 1.2.6 is needed by package zaptel-modules-2.6.9-34.0.2.EL Error: Missing Dependency: zaptel = 1.2.6 is needed by package zaptel-modules-2.6.9-34.0.1.EL

Here is what I get when I do rpm -gav | grep zaptel

[root@asterisk1 ~]# rpm -qav | grep zaptel
zaptel-1.2.6-1.1104
zaptel-modules-2.6.9-34.0.2.EL-1.2.6-2.1109
zaptel-modules-2.6.9-34.0.1.EL-1.2.6-1.1104

Can anyone help?

Thanks

ugh, no idea. i do my zaptel&asterisk updates manually (build and install from source tarballs.)

by the looks of this you’re using a TrixBox install ? perhaps you can remove the zaptel-modules package to remove the dependency.